using Quartz;
namespace Application.Web;

public class AutoJob: ITimerAutoJob
{
    public async Task Execute(IJobExecutionContext context)
    {
        string jobId = context.JobDetail.Key.Name;
        if (jobId == "DayHandle")
        {
            
            ////处理日红包
            //await businessService.HandleRedPack();
            //Console.WriteLine($"{DateTime.Now.ToString("yyyy-MMMM-dd")}:红包奖金池已处理!");
            
        }
        else
        {
            Console.WriteLine("定时程序测试执行");
        }
    }
}